API ReferenceChatbot
Deselect a previously selected option
DELETE
/v1/chatbot/answerUse this endpoint to deselect a previously selected option.
This endpoint works only for EXTENDING type questions (see QuestionType).
Both questionId and answerId must be sent.
Only an answer of the last asked question can be deselected, and
the option must currently be selected; invalid ids are rejected with
status code 400 (INVALID_QUESTION_ID / INVALID_ANSWER_TO_DELETE).
Authorization
BearerToken AuthorizationBearer <token>
Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Query Parameters
questionId*string
The ID of the question the selected option should be removed from.
answerId*string
The ID of the option item to remove.
Header Parameters
check-id*string
The ongoing check's identifier.
Response Body
curl -X DELETE "https://example.com/v1/chatbot/answer?questionId=e38f994b-6464-4c49-8b11-28687031d46d&answerId=ebf2b5b3-1d42-40ec-bba0-6a43f9da5b5a" \ -H "authorization: Bearer <token>" \ -H "check-id: 5e93d7a1-f240-43b5-8937-33419ea9cb6a"Empty
Last updated on